Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.util
Interface Schedulable

All Known Implementing Classes:
  Scheduler.SchedulableExample

public interface Schedulable

This interface defines the manageable interface for a Scheduler Service allowing the client to create a Schedulable instance which is then run by this service at given times.

Author:
  Andreas Schaefer

Method Summary
`void` | `perform(java.util.Date pTimeOfCall, long pRemainingRepetitions)` This method is called from the Scheduler Service

Method Detail

### perform

    public void perform(java.util.Date pTimeOfCall,
                        long pRemainingRepetitions)

  This method is called from the Scheduler Service
  Parameters:
    `pTimeOfCall` - Date/Time of the scheduled call
    `pRemainingRepetitions` - Number of the remaining repetitions which is -1 if there is an unlimited number of repetitions.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.